Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[how-to] 3d hardware acc with ati open source driver.
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 26, 27, 28, 29  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Fri Apr 29, 2011 3:37 pm    Post subject: Reply with quote

Then it's probably a driver bug. Open a bug report at https://bugs.freedesktop.org/ and submit all the information you've submitted here.
Back to top
View user's profile Send private message
Kingoftherings
Guru
Guru


Joined: 04 May 2008
Posts: 328

PostPosted: Fri Apr 29, 2011 8:53 pm    Post subject: Reply with quote

I was just using the nvidia blob for the last month, and I switched back to r600g last night, but the performance seems to have fallen off a cliff for me.

Composited effects in Kwin are sluggish. When I enable them it freezes up for a few seconds then it works for a bit then freezes again.
I'm having the same problem in Eduke32 (Kwin composite effects off). After the intro, it shows a black screen for about 10 seconds with the menu music playing before the menu shows up on screen. Then after a bit more stuttering it works fast. Going to Load Game, it does the same thing. And when I finally get in game it stutters for a bit then runs fast, and as soon as I move to like another room it stutters again. I presume it's taking it ages to load new scenes because if i just move back and forth without changing the scene much it works. Loading up an entire new room destroys the performance.

This is the output of glxinfo | grep OpenGL
casey@gentoobox eduke32 % glxinfo | grep OpenGL
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RV770
OpenGL version string: 2.1 Mesa 7.11-devel (git-608a4a1)
OpenGL shading language version string: 1.20
OpenGL extensions:

Direct Rendering is working as well.
As you can see, I'm using Mesa 7.11-devel, and I have Linux 2.6.38.4, libdrm 2.4.25 and xf86-video-ati 6.14.1

I think I'll try updating to Linux 2.6.39-rc, but I'm doubtful that will solve this.
Is there something that has changed in the last month and I need to set this up differently?

Update: Even 2D feels kind of slow. Scrolling through options in the kernel menuconfig isn't as fast as it I remember it being.
Updating to 2.6.39-rc5 didn't fix it.
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Sat Apr 30, 2011 2:55 pm    Post subject: Reply with quote

Are you using dynpm? Sometimes it acts like that because the switching is not really perfectly tuned yet.

Also, what's your card? I get similar stuff with my PCI card, because presumably the slow bus is affecting the performance.

I really have no issues like you describe, though, I'm playing through Prey and Amnesia at the moment, and will probably go through Quake4 again once I'm finished.
Back to top
View user's profile Send private message
Kingoftherings
Guru
Guru


Joined: 04 May 2008
Posts: 328

PostPosted: Sat Apr 30, 2011 6:49 pm    Post subject: Reply with quote

pingufunkybeat wrote:
Are you using dynpm? Sometimes it acts like that because the switching is not really perfectly tuned yet.

Also, what's your card? I get similar stuff with my PCI card, because presumably the slow bus is affecting the performance.

I really have no issues like you describe, though, I'm playing through Prey and Amnesia at the moment, and will probably go through Quake4 again once I'm finished.


It's a 4850 on PCI Express.
How can you tell if dynpm is on?
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Sat Apr 30, 2011 8:01 pm    Post subject: Reply with quote

Kingoftherings wrote:
How can you tell if dynpm is on?


cat /sys/class/drm/card0/device/power_method
Back to top
View user's profile Send private message
Kingoftherings
Guru
Guru


Joined: 04 May 2008
Posts: 328

PostPosted: Sat Apr 30, 2011 9:03 pm    Post subject: Reply with quote

pingufunkybeat wrote:
Kingoftherings wrote:
How can you tell if dynpm is on?


cat /sys/class/drm/card0/device/power_method


It returns "profile".
Is this dynpm? If so what should I change it to?

Nevermind, found the answer on the Arch Wiki. https://wiki.archlinux.org/index.php/ATI#Powersaving

I set the power profile to high and I still get the same issue.
This is what my glxgears performance looks like:

Code:

2 frames in 5.5 seconds =  0.363 FPS
141 frames in 5.0 seconds = 28.126 FPS
218 frames in 5.0 seconds = 43.593 FPS
275 frames in 5.0 seconds = 54.990 FPS
277 frames in 5.0 seconds = 55.390 FPS
155 frames in 5.0 seconds = 30.994 FPS
218 frames in 5.0 seconds = 43.592 FPS
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Sun May 01, 2011 12:13 pm    Post subject: Reply with quote

Although glxgears is not a benchmark, these numbers are off by several orders of magnitude for a PCI-X 4850.

I don't know what's wrong, though, your renderer string looks ok, and your stack is recent. Does dmesg or Xorg.0.log say anything strange?
Back to top
View user's profile Send private message
ryszardzonk
Apprentice
Apprentice


Joined: 18 Dec 2003
Posts: 225
Location: Rzeszów, POLAND

PostPosted: Thu Jul 14, 2011 6:30 pm    Post subject: Reply with quote

I have just created an ebuild http://bigvo.dyndns.org/overlay/media-libs/mesa/mesa-9999.ebuild that includes stuff form both DaggyStyle post and x11 overlay ebuilds. In addition to that there are lines to make just merged pipe-video branch work as well.

more on the subject here
http://www.phoronix.com/scan.php?page=news_item&px=OTY2OQ
_________________
Sky is not the limit...


Last edited by ryszardzonk on Thu Jul 14, 2011 8:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Thu Jul 14, 2011 7:51 pm    Post subject: Reply with quote

just use the one in x11-overlay, the ebuild here is deprecated.

x11-overlay's current mesa supports new pipe-video patch
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 500

PostPosted: Thu Jul 14, 2011 8:25 pm    Post subject: Reply with quote

Sorry but which one of the new use flag for mesa-9999: g3dvl vaapi va vdpau xvmc will work on a ATI 6870 with open driver?
If yes wil mplayer2 use graphics acceleration?


Thanks
_________________
Gentoo Linux ~amd64, Kernel 4.5.3, Enermax 400W, Intel i7-3770, DDR3 8GB, Sapphire HD6870
Back to top
View user's profile Send private message
ryszardzonk
Apprentice
Apprentice


Joined: 18 Dec 2003
Posts: 225
Location: Rzeszów, POLAND

PostPosted: Thu Jul 14, 2011 8:31 pm    Post subject: Reply with quote

I ddin't know it does. My adds following which may or may not be usefull... libraries versions are taken from mesa git


Code:

   vaapi? ( >=x11-libs/libva-0.31.1 )
   vdpau? ( >=x11-libs/libvdpau-0.4.1 )
   xvmc? ( >=x11-libs/libXvMC-1.0.6 )
   s3tc? ( dev-libs/libtxc_dxtn )

      $(use_enable xvmc)
      $(use_enable vdpau)
      $(use_enable vaapi va)

   if use vdpau && use radeon; then
      elog "vdpau flag enabled, updating /etc/env.d/99local if needed for r600"
      if [[ ! -f /etc/env.d/99local || -z "$(cat /etc/env.d/99local | grep VDPAU_DRIVER=r600)" ]]; then
         echo "VDPAU_DRIVER=r600" >> /etc/env.d/99local;
      fi
   fi

_________________
Sky is not the limit...
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Fri Jul 15, 2011 4:06 am    Post subject: Reply with quote

this is the latest commit: http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commitdiff;h=b4cfa6e759a2912e81b360e1d0fa02c4835ba227;hp=67d18b42c58dedcbe757085e7910ad3d86a4f126

the VDPAU_DRIVER=r600 is missing thought.

this is mine, I've added s3tc to it:
Code:
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"

if [[ ${PV} = 9999* ]]; then
        GIT_ECLASS="git-2"
        EXPERIMENTAL="true"
fi

inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}

OPENGL_DIR="xorg-x11"

MY_PN="${PN/m/M}"
MY_P="${MY_PN}-${PV/_/-}"
MY_SRC_P="${MY_PN}Lib-${PV/_/-}"

FOLDER="${PV/_rc*/}"
[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC"

DESCRIPTION="OpenGL-like graphic library for Linux"
HOMEPAGE="http://mesa3d.sourceforge.net/"

#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
if [[ $PV = 9999* ]]; then
        SRC_URI="${SRC_PATCHES}"
else
        SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
                ${SRC_PATCHES}"
fi

LICENSE="LGPL-2 kilgard"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"

INTEL_CARDS="i810 i915 i965 intel"
RADEON_CARDS="r100 r200 r300 r600 radeon"
VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
for card in ${VIDEO_CARDS}; do
        IUSE_VIDEO_CARDS+=" video_cards_${card}"
done

IUSE="${IUSE_VIDEO_CARDS}
        bindist +classic d3d debug +egl g3dvl +gallium gles +llvm motif +nptl openvg pic selinux shared-dricore +shared-glapi vaapi vdpau s3tc wayland xvmc kernel_FreeBSD"

LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
# not a runtime dependency of this package, but dependency of packages which
# depend on this package, bug #342393
EXTERNAL_DEPEND="
        >=x11-proto/dri2proto-2.6
        >=x11-proto/glproto-1.4.14
"
# keep correct libdrm and dri2proto dep
# keep blocks in rdepend for binpkg
RDEPEND="${EXTERNAL_DEPEND}
        !<x11-base/xorg-server-1.7
        !<=x11-proto/xf86driproto-2.0.3
        classic? ( app-admin/eselect-mesa )
        gallium? ( app-admin/eselect-mesa )
        >=app-admin/eselect-opengl-1.2.2
        dev-libs/expat
        dev-libs/libxml2[python]
        x11-libs/libICE
        >=x11-libs/libX11-1.3.99.901
        x11-libs/libXdamage
        x11-libs/libXext
        x11-libs/libXi
        x11-libs/libXmu
        x11-libs/libXxf86vm
        d3d? ( app-emulation/wine )
        motif? ( x11-libs/openmotif )
        gallium? (
                llvm? ( >=sys-devel/llvm-2.9 )
        )
        s3tc? ( x11-libs/libtxc_dxtn )
        vaapi? ( x11-libs/libva )
        vdpau? ( >=x11-libs/libvdpau-0.4.1 )
        wayland? ( x11-base/wayland )
        xvmc? ( x11-libs/libXvMC )
        ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
"
for card in ${INTEL_CARDS}; do
        RDEPEND="${RDEPEND}
                video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
        "
done

for card in ${RADEON_CARDS}; do
        RDEPEND="${RDEPEND}
                video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
        "
done

DEPEND="${RDEPEND}
        =dev-lang/python-2*
        dev-util/pkgconfig
        x11-misc/makedepend
        x11-proto/inputproto
        >=x11-proto/xextproto-7.0.99.1
        x11-proto/xf86driproto
        x11-proto/xf86vidmodeproto
"

S="${WORKDIR}/${MY_P}"

# It is slow without texrels, if someone wants slow
# mesa without texrels +pic use is worth the shot
QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"

# Think about: ggi, fbcon, no-X configs

pkg_setup() {
        # gcc 4.2 has buggy ivopts
        if [[ $(gcc-version) = "4.2" ]]; then
                append-flags -fno-ivopts
        fi

        # recommended by upstream
        append-flags -ffast-math

        python_set_active_version 2
        python_pkg_setup
}

src_unpack() {
        default
        [[ $PV = 9999* ]] && git-2_src_unpack
}

src_prepare() {
        # apply patches
        if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
                EPATCH_FORCE="yes" \
                EPATCH_SOURCE="${WORKDIR}/patches" \
                EPATCH_SUFFIX="patch" \
                epatch
        fi

        # fix for hardened, bug 240956
        [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch

        # FreeBSD 6.* doesn't have posix_memalign().
        if [[ ${CHOST} == *-freebsd6.* ]]; then
                sed -i \
                        -e "s/-DHAVE_POSIX_MEMALIGN//" \
                        configure.ac || die
        fi
        # Solaris needs some recent POSIX stuff in our case
        if [[ ${CHOST} == *-solaris* ]] ; then
                sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
                sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die
        fi

        # In order for mesa to complete it's build process we need to use a tool
        # that it compiles. When we cross compile this clearly does not work
        # so we require mesa to be built on the host system first. -solar
        if tc-is-cross-compiler; then
                sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
                        "${S}"/src/mesa/shader/slang/library/Makefile || die
        fi

        base_src_prepare

        eautoreconf
}

src_configure() {
        local myconf

        if use classic; then
        # Configurable DRI drivers
                driver_enable swrast

        # Intel code
                driver_enable video_cards_i810 i810
                driver_enable video_cards_i915 i915
                driver_enable video_cards_i965 i965
                        if ! use video_cards_i810 && \
                                ! use video_cards_i915 && \
                                ! use video_cards_i965; then
                        driver_enable video_cards_intel i810 i915 i965
                fi

                # Nouveau code
                driver_enable video_cards_nouveau nouveau

                # ATI code
                driver_enable video_cards_mach64 mach64
                driver_enable video_cards_mga mga
                driver_enable video_cards_r128 r128

                driver_enable video_cards_r100 radeon
                driver_enable video_cards_r200 r200
                driver_enable video_cards_r300 r300
                driver_enable video_cards_r600 r600
                if ! use video_cards_r100 && \
                                ! use video_cards_r200 && \
                                ! use video_cards_r300 && \
                                ! use video_cards_r600; then
                        driver_enable video_cards_radeon radeon r200 r300 r600
                fi

                driver_enable video_cards_savage savage
                driver_enable video_cards_sis sis
                driver_enable video_cards_tdfx tdfx
                driver_enable video_cards_via unichrome
        fi

        myconf+="
                $(use_enable !bindist texture-float)
                $(use_enable gles gles1)
                $(use_enable gles gles2)
                $(use_enable egl)
                $(use_enable openvg)
        "
        if use egl; then
                use shared-glapi || die "egl needs shared-glapi. Please either enable shared-glapi or disable the egl use flag ."
                myconf+="
                        --with-egl-platforms=$(use wayland && echo "wayland,")drm,x11
                        $(use_enable gallium gallium-egl)
                "
        fi

        if use !gallium && use !classic; then
                ewarn "You enabled neither classic nor gallium USE flags. No hardware"
                ewarn "drivers will be built."
        fi
        if use gallium; then
                myconf+="
                        --with-state-trackers=glx,dri$(use egl && echo ",egl")$(use openvg && echo ",vega")$(use d3d && echo ",d3d1x")
                        $(use_enable llvm gallium-llvm)
                "
                gallium_enable swrast
                gallium_enable video_cards_vmware svga
                gallium_enable video_cards_nouveau nouveau
                gallium_enable video_cards_i915 i915
                gallium_enable video_cards_i965 i965
                if ! use video_cards_i915 && \
                                ! use video_cards_i965; then
                        gallium_enable video_cards_intel i915 i965
                fi

                gallium_enable video_cards_r300 r300
                gallium_enable video_cards_r600 r600
                if ! use video_cards_r300 && \
                                ! use video_cards_r600; then
                        gallium_enable video_cards_radeon r300 r600
                fi
        else
                if use video_cards_nouveau || use video_cards_vmware; then
                        elog "SVGA and nouveau drivers are available only via gallium interface."
                        elog "Enable gallium useflag if you want to use them."
                fi
        fi

        # x86 hardened needs glx-rts, bug 240956
        if use hardened; then
                myconf+="
                        $(use_enable x86 glx-rts)
                "
        fi

        # --with-driver=dri|xlib|osmesa || do we need osmesa?
        econf \
                --disable-option-checking \
                --with-driver=dri \
                --disable-glut \
                --without-demos \
                --enable-xcb \
                $(use_enable debug) \
                $(use_enable g3dvl) \
                $(use_enable motif glw) \
                $(use_enable motif) \
                $(use_enable nptl glx-tls) \
                $(use_enable !pic asm) \
                $(use_enable shared-dricore) \
                $(use_enable shared-glapi) \
                $(use_enable vaapi va) \
                $(use_enable vdpau) \
                $(use_enable xvmc) \
                --with-dri-drivers=${DRI_DRIVERS} \
                --with-gallium-drivers=${GALLIUM_DRIVERS} \
                ${myconf}
}

src_install() {
        base_src_install

        if use !bindist; then
                dodoc docs/patents.txt || die
        fi

        # Save the glsl-compiler for later use
        if ! tc-is-cross-compiler; then
                dobin "${S}"/src/glsl/glsl_compiler || die
        fi
        # Remove redundant headers
        # GLUT thing
        rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed."
        # Glew includes
        rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \
                || die "Removing glew includes failed."

        # Install config file for eselect mesa
        insinto /usr/share/mesa
        newins "${FILESDIR}/eselect-mesa.conf.7.12" eselect-mesa.conf || die

        # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
        # because user can eselect desired GL provider.
        ebegin "Moving libGL and friends for dynamic switching"
                dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
                local x
                for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL,OpenVG}.{la,a,so*}; do
                        if [ -f ${x} -o -L ${x} ]; then
                                mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
                                        || die "Failed to move ${x}"
                        fi
                done
                for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
                        if [ -f ${x} -o -L ${x} ]; then
                                mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
                                        || die "Failed to move ${x}"
                        fi
                done
        eend $?

        if use classic || use gallium; then
                        ebegin "Moving DRI/Gallium drivers for dynamic switching"
                        local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
                        keepdir /usr/$(get_libdir)/dri
                        dodir /usr/$(get_libdir)/mesa
                        for x in ${gallium_drivers[@]}; do
                                if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
                                        mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
                                                || die "Failed to move ${x}"
                                        insinto "/usr/$(get_libdir)/dri/"
                                        if [ -f "${S}/$(get_libdir)/${x}" ]; then
                                                insopts -m0755
                                                doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
                                        fi
                                fi
                        done
                        for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
                                if [ -f ${x} -o -L ${x} ]; then
                                        mv -f "${x}" "${x/dri/mesa}" \
                                                || die "Failed to move ${x}"
                                fi
                        done
                        pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
                        ln -s ../mesa/*.so . || die "Creating symlink failed"
                        # remove symlinks to drivers known to eselect
                        for x in ${gallium_drivers[@]}; do
                                if [ -f ${x} -o -L ${x} ]; then
                                        rm "${x}" || die "Failed to remove ${x}"
                                fi
                        done
                        popd
                eend $?
        fi
}

pkg_postinst() {
        # Switch to the xorg implementation.
        echo
        eselect opengl set --use-old ${OPENGL_DIR}
        # Select classic/gallium drivers
        if use classic || use gallium; then
                eselect mesa set --auto
        fi

        # warn about patent encumbered texture-float
        if use !bindist; then
                elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
                elog "enabled. Please see patents.txt for an explanation."
        fi
        if use s3tc && [ "1" != "${R600_ENABLE_S3TC}" ]; then
                echo "R600_ENABLE_S3TC=1" >> /etc/env.d/03opengl
        fi
}

# $1 - VIDEO_CARDS flag
# other args - names of DRI drivers to enable
# TODO: avoid code duplication for a more elegant implementation
driver_enable() {
        case $# in
                # for enabling unconditionally
                1)
                        DRI_DRIVERS+=",$1"
                        ;;
                *)
                        if use $1; then
                                shift
                                for i in $@; do
                                        DRI_DRIVERS+=",${i}"
                                done
                        fi
                        ;;
        esac
}

gallium_enable() {
        case $# in
                # for enabling unconditionally
                1)
                        GALLIUM_DRIVERS+=",$1"
                        ;;
                *)
                        if use $1; then
                                shift
                                for i in $@; do
                                        GALLIUM_DRIVERS+=",${i}"
                                done
                        fi
                        ;;
        esac
}

_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5876

PostPosted: Fri Jul 15, 2011 12:54 pm    Post subject: Reply with quote

Code:
checking for XVMC... yes
checking for LIBVA... no
configure: error: Package requirements (libva = 0.31.1) were not met:

Requested 'libva = 0.31.1' but version of libva is 0.32.0

I guess Mesa git isn't bleeding-edge after all... :lol:
Back to top
View user's profile Send private message
ryszardzonk
Apprentice
Apprentice


Joined: 18 Dec 2003
Posts: 225
Location: Rzeszów, POLAND

PostPosted: Fri Jul 15, 2011 2:51 pm    Post subject: Reply with quote

that is why my ebuild had warning for that
Code:
if use vaapi; then
      ewarn "vaapi state tracker is currently unmaintained."
   fi

just like upstream says: http://cgit.freedesktop.org/mesa/mesa/commit/?id=8619aa5683eb16c12a1b2eaeab2378855791ec8c
_________________
Sky is not the limit...
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Sat Jul 16, 2011 6:12 am    Post subject: Reply with quote

damm! that vdpau thing works! (I think)

I'm running two compilations, playing stargate in fhd on a e8400 with ATI3650HD and one thread.

this is the output:
Code:
dagg@Starfleet /mnt/media/video $ mplayer -vo vdpau -lavdopts threads=1 Stargate.DC.1994.BluRay.1080p.DTS.x264.dxva-EuReKA.mkv
MPlayer SVN-r33094-4.5.2 (C) 2000-2011 MPlayer Team
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick

Playing Stargate.DC.1994.BluRay.1080p.DTS.x264.dxva-EuReKA.mkv.
libavformat file format detected.
[matroska,webm @ 0x2e6f990] max_analyze_duration reached
[matroska,webm @ 0x2e6f990] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0, EuReKA's Stargate DC crf encode 1080p@12,9 Mbps
[lavf] stream 1: audio (dca), -aid 0, -alang eng, DTS 1536 kbps
[lavf] stream 2: subtitle (unknown), -sid 0, -slang dut
[lavf] stream 3: subtitle (unknown), -sid 1, -slang eng
VIDEO:  [H264]  1920x822  0bpp  24.000 fps    0.0 kbps ( 0.0 kbyte/s)
Load subtitles in ./
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 1536.0 kbit/100.00% (ratio: 192000->192000)
Selected audio codec: [ffdca] afm: ffmpeg (FFmpeg DTS)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Movie-Aspect is 2.34:1 - prescaling to correct movie aspect.
VO: [vdpau] 1920x822 => 1920x822 Planar YV12
A:  39.5 V:  39.5 A-V:  0.002 ct: -0.002   0/  0 27%  6%  1.0% 0 0

Exiting... (Quit)

can anyone confirm if it works?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
moben
n00b
n00b


Joined: 09 Jan 2009
Posts: 52

PostPosted: Sat Jul 16, 2011 1:07 pm    Post subject: Reply with quote

Hey, im on a HD6370M and use the live ebuilds from x11 overlay...

Tell me how to solve this
Code:
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory

wenn i try so start mplayer with -vo vdpau, and i will confirm :D

thanks
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Sat Jul 16, 2011 1:13 pm    Post subject: Reply with quote

moben wrote:
Hey, im on a HD6370M and use the live ebuilds from x11 overlay...

Tell me how to solve this
Code:
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory

wenn i try so start mplayer with -vo vdpau, and i will confirm :D

thanks

run this before using mplayer:
Code:
export VDPAU_DRIVER="r600"
export LD_LIBRARY_PATH="/usr/lib64/vdpau:${LD_LIBRARY_PATH}"

I'll post the diff of mine with the latest x11-overlay version here when I'll get it right
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
moben
n00b
n00b


Joined: 09 Jan 2009
Posts: 52

PostPosted: Sat Jul 16, 2011 1:16 pm    Post subject: Reply with quote

ok it seem to work...
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Sat Jul 16, 2011 4:49 pm    Post subject: Reply with quote

Seems to be working on my HD5470M as well :)
Back to top
View user's profile Send private message
moben
n00b
n00b


Joined: 09 Jan 2009
Posts: 52

PostPosted: Sat Jul 16, 2011 5:29 pm    Post subject: Reply with quote

but, does it reduce the cpu load on your machines? i think it uses quite the same as without vdpau... maybe it just *seem* to work?
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Sat Jul 16, 2011 6:16 pm    Post subject: Reply with quote

moben wrote:
but, does it reduce the cpu load on your machines? i think it uses quite the same as without vdpau... maybe it just *seem* to work?


try to load the cpu, run an intesive work also, limit it to one thread, this should give a better indicator.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Sat Jul 16, 2011 10:03 pm    Post subject: Reply with quote

but 720p mkv doesn't work for me with vdpau. Pitty
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5876

PostPosted: Sun Jul 17, 2011 12:48 pm    Post subject: Reply with quote

VDPAU makes CPU usage higher for me. On a 320x224 H264 file, 2.8GHz Phenom II, HD5450, git 55b415f:

Code:
command time schedtool -I -a 0x2 -e mplayer -vo vdpau
46.74user 5.07system 4:46.31elapsed 18%CPU (0avgtext+0avgdata 95584maxresident)k
0inputs+0outputs (0major+59791minor)pagefaults 0swaps


Code:
command time schedtool -I -a 0x2 -e mplayer -vo xv
35.77user 0.21system 4:46.30elapsed 12%CPU (0avgtext+0avgdata 73328maxresident)k
0inputs+0outputs (0major+4939minor)pagefaults 0swaps


I've also got a 1920x1344 file which is just as unplayable with this as with plain xv...
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Sun Jul 17, 2011 7:09 pm    Post subject: Reply with quote

it does seems to work:
Code:
dagg@Starfleet ~/downloads $ mplayer -vo vdpau -lavdopts threads=1 Sintel.2010.1080p.mkv
MPlayer SVN-r33094-4.5.2 (C) 2000-2011 MPlayer Team
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick

Playing Sintel.2010.1080p.mkv.
libavformat file format detected.
[matroska,webm @ 0x27fd970] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0
[lavf] stream 1: audio (ac3), -aid 0, -alang eng, AC3 5.1 @ 640 Kbps
[lavf] stream 2: subtitle (unknown), -sid 0, -slang ger
[lavf] stream 3: subtitle (unknown), -sid 1, -slang eng
[lavf] stream 4: subtitle (text), -sid 2, -slang spa
[lavf] stream 5: subtitle (text), -sid 3, -slang fre
[lavf] stream 6: subtitle (text), -sid 4, -slang ita
[lavf] stream 7: subtitle (text), -sid 5, -slang dut
[lavf] stream 8: subtitle (text), -sid 6, -slang pol
[lavf] stream 9: subtitle (text), -sid 7, -slang por
[lavf] stream 10: subtitle (text), -sid 8, -slang rus
[lavf] stream 11: subtitle (text), -sid 9, -slang vie
VIDEO:  [H264]  1920x818  0bpp  24.000 fps    0.0 kbps ( 0.0 kbyte/s)
Load subtitles in ./
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 640.0 kbit/41.67% (ratio: 80000->192000)
Selected audio codec: [ffac3] afm: ffmpeg (FFmpeg AC-3)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Movie-Aspect is 2.35:1 - prescaling to correct movie aspect.
VO: [vdpau] 1920x818 => 1920x818 Planar YV12
A:   5.7 V:   5.2 A-V:  0.571 ct:  0.000   0/  0 50% 10%  1.1% 50 0


           ************************************************
           **** Your system is too SLOW to play this!  ****
           ************************************************

Possible reasons, problems, workarounds:
- Most common: broken/buggy _audio_ driver
  - Try -ao sdl or use the OSS emulation of ALSA.
  - Experiment with different values for -autosync, 30 is a good start.
- Slow video output
  - Try a different -vo driver (-vo help for a list) or try -framedrop!
- Slow CPU
  - Don't try to play a big DVD/DivX on a slow CPU! Try some of the lavdopts,
    e.g. -vfm ffmpeg -lavdopts lowres=1:fast:skiploopfilter=all.
- Broken file
  - Try various combinations of -nobps -ni -forceidx -mc 0.
- Slow media (NFS/SMB mounts, DVD, VCD etc)
  - Try -cache 8192.
- Are you using -cache to play a non-interleaved AVI file?
  - Try -nocache.
Read DOCS/HTML/en/video.html for tuning/speedup tips.
If none of this helps you, read DOCS/HTML/en/bugreports.html.

A:  35.2 V:  35.2 A-V: -0.001 ct:  0.000   0/  0 58%  6%  1.9% 116 0

Exiting... (Quit)
dagg@Starfleet ~/downloads $ mplayer -vo vdpau -lavdopts threads=2 Sintel.2010.1080p.mkv
MPlayer SVN-r33094-4.5.2 (C) 2000-2011 MPlayer Team
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick

Playing Sintel.2010.1080p.mkv.
libavformat file format detected.
[matroska,webm @ 0x1410970] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0
[lavf] stream 1: audio (ac3), -aid 0, -alang eng, AC3 5.1 @ 640 Kbps
[lavf] stream 2: subtitle (unknown), -sid 0, -slang ger
[lavf] stream 3: subtitle (unknown), -sid 1, -slang eng
[lavf] stream 4: subtitle (text), -sid 2, -slang spa
[lavf] stream 5: subtitle (text), -sid 3, -slang fre
[lavf] stream 6: subtitle (text), -sid 4, -slang ita
[lavf] stream 7: subtitle (text), -sid 5, -slang dut
[lavf] stream 8: subtitle (text), -sid 6, -slang pol
[lavf] stream 9: subtitle (text), -sid 7, -slang por
[lavf] stream 10: subtitle (text), -sid 8, -slang rus
[lavf] stream 11: subtitle (text), -sid 9, -slang vie
VIDEO:  [H264]  1920x818  0bpp  24.000 fps    0.0 kbps ( 0.0 kbyte/s)
Load subtitles in ./
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 640.0 kbit/41.67% (ratio: 80000->192000)
Selected audio codec: [ffac3] afm: ffmpeg (FFmpeg AC-3)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Movie-Aspect is 2.35:1 - prescaling to correct movie aspect.
VO: [vdpau] 1920x818 => 1920x818 Planar YV12
A:  14.1 V:  14.1 A-V:  0.038 ct:  0.000   0/  0 60%  9%  0.6% 96 0

Exiting... (Quit)
dagg@Starfleet ~/downloads $ mplayer -lavdopts threads=2 Sintel.2010.1080p.mkv
MPlayer SVN-r33094-4.5.2 (C) 2000-2011 MPlayer Team
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick

Playing Sintel.2010.1080p.mkv.
libavformat file format detected.
[matroska,webm @ 0x325d870] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0
[lavf] stream 1: audio (ac3), -aid 0, -alang eng, AC3 5.1 @ 640 Kbps
[lavf] stream 2: subtitle (unknown), -sid 0, -slang ger
[lavf] stream 3: subtitle (unknown), -sid 1, -slang eng
[lavf] stream 4: subtitle (text), -sid 2, -slang spa
[lavf] stream 5: subtitle (text), -sid 3, -slang fre
[lavf] stream 6: subtitle (text), -sid 4, -slang ita
[lavf] stream 7: subtitle (text), -sid 5, -slang dut
[lavf] stream 8: subtitle (text), -sid 6, -slang pol
[lavf] stream 9: subtitle (text), -sid 7, -slang por
[lavf] stream 10: subtitle (text), -sid 8, -slang rus
[lavf] stream 11: subtitle (text), -sid 9, -slang vie
VIDEO:  [H264]  1920x818  0bpp  24.000 fps    0.0 kbps ( 0.0 kbyte/s)
Load subtitles in ./
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 640.0 kbit/41.67% (ratio: 80000->192000)
Selected audio codec: [ffac3] afm: ffmpeg (FFmpeg AC-3)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Movie-Aspect is 2.35:1 - prescaling to correct movie aspect.
VO: [vdpau] 1920x818 => 1920x818 Planar YV12
A:   7.2 V:   6.1 A-V:  1.086 ct:  0.000   0/  0 56%  9%  0.7% 50 0


           ************************************************
           **** Your system is too SLOW to play this!  ****
           ************************************************

Possible reasons, problems, workarounds:
- Most common: broken/buggy _audio_ driver
  - Try -ao sdl or use the OSS emulation of ALSA.
  - Experiment with different values for -autosync, 30 is a good start.
- Slow video output
  - Try a different -vo driver (-vo help for a list) or try -framedrop!
- Slow CPU
  - Don't try to play a big DVD/DivX on a slow CPU! Try some of the lavdopts,
    e.g. -vfm ffmpeg -lavdopts lowres=1:fast:skiploopfilter=all.
- Broken file
  - Try various combinations of -nobps -ni -forceidx -mc 0.
- Slow media (NFS/SMB mounts, DVD, VCD etc)
  - Try -cache 8192.
- Are you using -cache to play a non-interleaved AVI file?
  - Try -nocache.
Read DOCS/HTML/en/video.html for tuning/speedup tips.
If none of this helps you, read DOCS/HTML/en/bugreports.html.

A:  11.0 V:   9.1 A-V:  1.843 ct:  0.000   0/  0 70%  9%  0.7% 122 0

Exiting... (Quit)


mplayer doesn't complain when I use 2 threads and vdpau.

also, you need to remember that the implementation is shader based, not UVD based, the real indicator is if you can watch a movie with vdpau enabled which you can't without. not the cpu load.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5387

PostPosted: Sun Jul 17, 2011 7:29 pm    Post subject: Reply with quote

also, after killing the compilation and rerunning mplayer -vo vdpau -lavdopts threads=1 Sintel.2010.1080p.mkv with only boinc running the in bk, I get this:
Code:
dagg@Starfleet ~/downloads $ mplayer -vo vdpau -lavdopts threads=1 Sintel.2010.1080p.mkv
MPlayer SVN-r33094-4.5.2 (C) 2000-2011 MPlayer Team
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick

Playing Sintel.2010.1080p.mkv.
libavformat file format detected.
[matroska,webm @ 0x2ebc970] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0
[lavf] stream 1: audio (ac3), -aid 0, -alang eng, AC3 5.1 @ 640 Kbps
[lavf] stream 2: subtitle (unknown), -sid 0, -slang ger
[lavf] stream 3: subtitle (unknown), -sid 1, -slang eng
[lavf] stream 4: subtitle (text), -sid 2, -slang spa
[lavf] stream 5: subtitle (text), -sid 3, -slang fre
[lavf] stream 6: subtitle (text), -sid 4, -slang ita
[lavf] stream 7: subtitle (text), -sid 5, -slang dut
[lavf] stream 8: subtitle (text), -sid 6, -slang pol
[lavf] stream 9: subtitle (text), -sid 7, -slang por
[lavf] stream 10: subtitle (text), -sid 8, -slang rus
[lavf] stream 11: subtitle (text), -sid 9, -slang vie
VIDEO:  [H264]  1920x818  0bpp  24.000 fps    0.0 kbps ( 0.0 kbyte/s)
Load subtitles in ./
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 640.0 kbit/41.67% (ratio: 80000->192000)
Selected audio codec: [ffac3] afm: ffmpeg (FFmpeg AC-3)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Movie-Aspect is 2.35:1 - prescaling to correct movie aspect.
VO: [vdpau] 1920x818 => 1920x818 Planar YV12
A:  56.4 V:  56.4 A-V: -0.000 ct:  0.000   0/  0 48%  5%  1.0% 38 0

Exiting... (Quit)


notice that there is no slow cpu which was there before and cpu usage of both cores was between 25 to 50 percent.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 26, 27, 28, 29  Next
Page 27 of 29

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum